%bcond_with bootstrap

Name:           python-apkinspector
Version:        1.3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        apkInspector is a tool to help examine APK files

License:        Apache-2.0
URL:            https://github.com/erev0s/apkInspector
Source:         %{pypi_source apkinspector}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{without bootstrap}
BuildRequires:  python3dist(apkinspector)
BuildRequires:  help2man
%endif

%global _description %{expand:
apkInspector is a tool designed to provide detailed insights into the zip
structure of APK files, offering the capability to extract content and decode
the AndroidManifest.xml file. What sets APKInspector apart is its adherence to
the zip specification during APK parsing, eliminating the need for reliance on
external libraries. This independence, allows APKInspector to be highly
adaptable, effectively emulating Android's installation process for APKs that
cannot be parsed using standard libraries. The main goal is to enable users to
conduct static analysis on APKs that employ evasion techniques, especially when
conventional methods prove ineffective.}

%description %_description

%package -n     python3-apkinspector
Summary:        %{summary}

%description -n python3-apkinspector %_description


%prep
%autosetup -p1 -n apkinspector-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
%if %{without bootstrap}
help2man --version-string='%{version}' --no-discard-stderr  --no-info --name='%{summary}' --output=apkInspector.1 apkInspector
%endif

%install
%pyproject_install
%pyproject_save_files -L apkInspector apkInspectorCLI
%if %{without bootstrap}
mkdir -p %{buildroot}%{_mandir}/man1/
install -m644 apkInspector.1 %{buildroot}%{_mandir}/man1/
%endif

%check
%pyproject_check_import


%files -n python3-apkinspector -f %{pyproject_files}
%{_bindir}/apkInspector
%license LICENSE
%if %{without bootstrap}
%{_mandir}/man1/apkInspector.1*
%endif

%changelog
%autochangelog
